Combine multi brep into one in panel

Hi All,
I want combine multi brep into one brep in list by Python look like picture below, 2 closed brep but show only 1.
Any Ideas ? Thank you

Brep.MergeBreps Method can combine two or more breps into a non-manifold brep.

from Rhino.Geometry import Brep
a = Brep.MergeBreps(breps, 0.01)

You can use Brep.GetRegions Method to get all regions in a brep.

a = [r.BoundaryBrep() for r in brep.GetRegions() if r.IsFinite]

MergeBreps.gh (7.4 KB)

3 Likes

So like meshes, two breps that don’t touch each other are considered one brep? What’s the point?

It may be helpful to export data to analysis programs, as suggested in Rhino documentation.
I sometimes use this to remap multiple surfaces to CPlane:

2 Likes

So many thank, I got it.